¿Puede correr un JDK 1.5 independiente en Snow Leopard?

Hay un error en JDK1.6 en Snow Leopard que está afectando a Netbeans. Pude resolver este problema usando JDK1.5, pero noté que /System/Library/Frameworks/JavaVM.framework/Versions/1.5 enlaza con JDK1.6.

¿Hay un verdadero JDK 1.5 para Snow Leopard que se pueda download e instalar en lugar de solo uno que apunte al nuevo JDK 1.6?

  • No se puede encontrar un ejecutable en "/ usr / bin / java / bin / java"
  • El Capitan, la aplicación de Java "no se puede abrir"
  • No se puede instalar 'Java Platform, Enterprise Edition 7 (con JDK 7u45)'
  • ¿Cómo debo gestionar diferentes versiones de Java (JRE y JDK) en Mavericks?
  • Donde esta java? El Panel de control de Java ha desactivado el button "Ver" y la respuesta de la Terminal sigue siendo "No hay time de ejecución de Java presente, solicitando la installation"
  • evitar la creación de files doubleapple cuando tarring directorys (Snow Leopard)
  • ¿Cómo puedo mantener Java 7 actualizado?
  • ¿Debo restaurar mis datos antes o después de actualizar el sistema operativo?
  • ¿Por qué los nombres de host de la networking local se resuelven solo en ciertos casos?
  • ¿Cómo instalar Pages, Numbers y Keynote en Snow Leopard?
  • ¿Cómo puedo hacer que Time Machine ignore los datos creados por Spotlight?
  • ¿Debo eliminar versiones anteriores de Java por razones de security?
  • 3 Solutions collect form web for “¿Puede correr un JDK 1.5 independiente en Snow Leopard?”

    Puede agregar correctamente una verdadera versión 1.5 siguiendo las instrucciones aquí: Instalación de Java 1.5 en Snow Leopard

    No estoy adivinando sobre esto. De hecho, he empleado esta técnica para algunos de mis clientes de soporte técnico.

    La pregunta es un poco vieja, pero puede ser relevante para algunos.

    Acabo de instalar con éxito JDK1.5 en Mountain Lion utilizando este script . Los detalles esenciales del guión se describen en http://www.s-seven.net/java_15_mountain_lion .

    Esto hace que JDK1.5 esté disponible en /System/Library/Java/JavaVirtualMachines/1.5.0/Contents/Home .

    De acuerdo con esta nota técnica: TN2110 , J2SE 5.0 (que es sinónimo de JDK 1.5) solo está disponible con versiones para 10.4 y 10.5 (consulte la tabla 3 a tres cuartas partes del documento). En el sitio para desarrolladores de Apple , aún puedes download packages Java del pasado (nota: necesitarás un desarrollador o una count de Apple o iTunes para ver esta página).

    No he intentado instalar una installation anterior de Java desde Apple, por lo que no estoy seguro si alguna de estas instalaciones le dará un JDK 1.5 que está "desvinculado" de JDK 1.6 o si estas viejas instalaciones se pondrán bien juntas o simplemente replaceán. En su carpeta de Utilidades hay una aplicación llamada Java Preferences . Si lo inicia, puede ver todos los times de ejecución de Java que ya ha instalado. Antes de intentar download instalaciones pasadas de Java, quizás pueda usar esa herramienta para ver si tiene un JDK 1.5 más completo instalado.

    Lo siento, no puedo darle una respuesta más concreta, pero al less quería darle pistas para probar.

    Además, ¿ha intentado consultar los diversos foros de soporte disponibles para Netbeans? Tal vez otro usuario de Netbean Mac OS X Snow Leopard ya haya encontrado y publicado la respuesta …

    ¡Buena suerte!

    Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).